// src/tools/skills/index.ts
// Copyright (C) 2025 DTP Technologies, LLC
// All Rights Reserved

import { registerTool } from "../index.js";

import GetSkillTool from "./get-skill.js";
import SearchSkillsTool from "./search-skills.js";
import CreateSkillTool from "./create-skill.js";
import UpdateSkillTool from "./update-skill.js";

registerTool(GetSkillTool);
registerTool(SearchSkillsTool);
registerTool(CreateSkillTool);
registerTool(UpdateSkillTool);

export const GetSkill = GetSkillTool;
export const SearchSkills = SearchSkillsTool;
export const CreateSkill = CreateSkillTool;
export const UpdateSkill = UpdateSkillTool;

export { GetSkillTool, SearchSkillsTool, CreateSkillTool, UpdateSkillTool };
